Subject: [IPFIX] Fwd: New Version Notification for draft-claise-ipfix-protocol-rfc5101bis-00.txt

From: Benoit Claise <[email-masked]>
Date: Tue, 20 Sep 2011 12:49:56 +0200

Dear all,

Here is a new draft, to advance RFC 5101 to the next stage of 
standardization on the standards track, as foreseen by the future charter.

DONE:
       Errata ID: 1655 (technical)
       Errata ID: 2791 (technical)
       Errata ID: 2814 (editorial)
       Errata ID: 1818 (editorial)
       Errata ID: 2792 (editorial)
       Errata ID: 2888 (editorial)
       Errata ID: 2889 (editorial)
       Errata ID: 2890 (editorial)
       Errata ID: 2891 (editorial)
       Errata ID: 2892 (editorial)
       Errata ID: 2903 (editorial)
       Errata ID: 2761 (editorial)
       Errata ID: 2762 (editorial)
       Errata ID: 2763 (editorial)
       Errata ID: 2764 (editorial)
       Errata ID: 2852 (editorial)
       Errata ID: 2857 (editorial)

       Section 8: "a new sampling rate" has been removed from the list of
    examples that requires a new Template.

       If the measurement parameters change such that a new Template is
    required, the Template MUST be withdrawn (using a Template Withdraw
    Message and a new Template definition) or an unused Template ID MUST
     be used.  Examples of the measurement changes are: a new sampling
    rate, a new Flow expiration process, a new filtering definition, etc.

       Updated the references

       Updated the "Document overview" section.

       Template and UDP: included the proposal at
    http://www.ietf.org/mail-archive/web/ipfix/current/msg06051.html

TO DO:
       "time first flow dropped" and "time last flow dropped" 
inconsistency. See the discussion on the list.
       Replace the RFC5102 by RFC5102bis, when the draft will be posted.
       Replace the RFC5815 by RFC5815bis, when the draft will be posted.
       NTP RFC 1305 is obsoleted by RFC5905. Check if the format is the 
similar before updating the reference.
       IDNA RFC 3490 is obsoleted by RFC5890 and RFC5891. Double-check

Did I miss anything, which is within the boundary of what we can change 
for the next level of standardization?

For your convenience, a diff between RFC5101 and this draft is included.

Regards, Benoit.

-------- Original Message --------
Subject: 	New Version Notification for 
draft-claise-ipfix-protocol-rfc5101bis-00.txt
Date: 	Tue, 20 Sep 2011 03:34:41 -0700
From: 	[email-masked]
To: 	[email-masked]
CC: 	[email-masked]

A new version of I-D, draft-claise-ipfix-protocol-rfc5101bis-00.txt has been successfully submitted by Benoit Claise and posted to the IETF repository.

Filename:	 draft-claise-ipfix-protocol-rfc5101bis
Revision:	 00
Title:		 Specification of the IP Flow Information eXport (IPFIX) Protocol for the Exchange of IP Traffic Flow Information
Creation date:	 2011-09-20
WG ID:		 Individual Submission
Number of pages: 66

Abstract:
    This document specifies the IP Flow Information Export (IPFIX)
    protocol that serves for transmitting IP Traffic Flow information
    over the network.  In order to transmit IP Traffic Flow information
    from an Exporting Process to an information Collecting Process, a
    common representation of flow data and a standard means of
    communicating them is required.  This document describes how the
    IPFIX Data and Template Records are carried over a number of
    transport protocols from an IPFIX Exporting Process to an IPFIX
    Collecting Process.  This document obsoletes RFC 5101.

The IETF Secretariat

---

From: Brian Trammell <[email-masked]>
Date: Tue, 20 Sep 2011 14:32:37 +0200

Hi, Benoit,

Two minor personal changes: 

1. Ensure that my name is spelled correctly everywhere (found at least one "Trammel" in the references, 5103)

2. My address is now:

   Brian Trammell
   Swiss Federal Institute of Technology Zurich
   Gloriastrasse 35
   8092 Zurich
   Switzerland

   Phone: +41 44 632 70 13
   EMail: [email-masked]

Otherwise, agree that all presently filed errata are addressed.

See my other message to you re: 3490.

For 1305, replace with 5905 but note that we use the 64-bit "timestamp" format, as opposed to either the 32- or 128-bit formats. (May want to note that this will require the data type to be updated before 2038)

Additionally, I believe that a resolution to the template lifetime mechanism for UDP is missing, and given that the present specification is questionably interoperable, that such certain strategies for resolution would be within scope of 5101bis. This would be more or less my suggested variant of "Solution 3" in http://www.ietf.org/mail-archive/web/ipfix/current/msg06047.html: 5655-style template management everywhere with infinite timeout, with an explicit note that doing this on UDP is fraught with peril.

Not sure what the right _administrative_ way to do this would be though: do we need to file a technical errata on 5101 that we can then address in 5101bis?

Best regards,

Brian

On Sep 20, 2011, at 12:49 PM, Benoit Claise wrote:

> Dear all,
> 
> Here is a new draft, to advance RFC 5101 to the next stage of standardization on the standards track, as foreseen by the future charter.
> 
> DONE:
>       "time first flow dropped" and "time last flow dropped" inconsistency. See the discussion on the list.
>       NTP RFC 1305 is obsoleted by RFC5905. Check if the format is the similar before updating the reference.
> Did I miss anything, which is within the boundary of what we can change for the next level of standardization?
> 
> Subject:	New Version Notification for draft-claise-ipfix-protocol-rfc5101bis-00.txt
> <rfcdiff.pyht.htm>

---

From: Benoit Claise <[email-masked]>
Date: Tue, 20 Sep 2011 23:35:56 +0200

Hi Brian,
> 1. Ensure that my name is spelled correctly everywhere (found at least one "Trammel" in the references, 5103)
Sorry about that. Done.
> Otherwise, agree that all presently filed errata are addressed.
Done.
> For 1305, replace with 5905 but note that we use the 64-bit "timestamp" format, as opposed to either the 32- or 128-bit formats. (May want to note that this will require the data type to be updated…
Currently in discussion with Stewart Bryant.
> Additionally, I believe that a resolution to the template lifetime mechanism for UDP is missing, and given that the present specification is questionably interoperable, that such certain strategies…
Let me think some more about this one.

Regards, Benoit.

---

From: Andrew Feren <[email-masked]>
Date: Wed, 21 Sep 2011 14:23:30 -0400

In new version (page 34)
"Withdrawa Message(s) before reusing them."
should be
"Withdrawal Message(s) before reusing them."

New version (A.4.3 page 58)
changes
(41) "exportedPacketCount" to "exportedMessageTotalCount"
(42) "exportedFlowCount" to "exportedFlowRecordTotalCount"

but then uses "exportedFlowRecordTotalCount" for both 41 and 42 in the 
diagram of the options template.

  ...       Enterprise Number      |0| exportedFlowRecordTotalCo.=41|
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |       Field Length = 2        |0|exportedFlowRecordTotalCo.=42|

should read as follows

  ...       Enterprise Number      |0|exportedMessageTotalCount=41 |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |       Field Length = 2        |0|exportedFlowRecordTotalCo.=42|

-Andrew

On 09/20/2011 06:49 AM, Benoit Claise wrote:
> Did I miss anything, which is within the boundary of what we can 
> change for the next level of standardization?
>
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix

---

From: Benoit Claise <[email-masked]>
Date: Thu, 22 Sep 2011 00:52:57 +0200

Andrew,

Many thanks for double checking.
Now corrected in my temp version.

Regards, Benoit.
>>       NTP RFC 1305 is obsoleted by RFC5905. Check if the format is 
>> the similar before updating the reference.